Skip to main content
DELETE
/
v1
/
namespace
/
{namespaceId}
/
hosting
TypeScript
import { Agentset } from "agentset";

const agentset = new Agentset({ apiKey: 'agentset_xxx' });
const ns = agentset.namespace('ns_xxx');

await ns.hosting.delete();
console.log("Hosting deleted");
{
  "success": true,
  "data": {
    "namespaceId": "<string>",
    "title": "<string>",
    "slug": "<string>",
    "logo": "<string>",
    "ogTitle": "<string>",
    "ogDescription": "<string>",
    "ogImage": "<string>",
    "systemPrompt": "<string>",
    "exampleQuestions": [],
    "exampleSearchQueries": [],
    "welcomeMessage": "<string>",
    "citationMetadataPath": "<string>",
    "searchEnabled": true,
    "rerankConfig": "<unknown>",
    "llmConfig": "<unknown>",
    "topK": 50,
    "protected": true,
    "allowedEmails": [],
    "allowedEmailDomains": [],
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentset.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

namespaceId
string
required

The id of the namespace (prefixed with ns_)

Example:

"ns_123"

Response

The deleted hosting configuration

success
boolean
required
data
Hosting · object
required